%define app_defaults_dir %{_libdir}/X11/app-defaults

Summary: An X Window System tool for drawing basic vector graphics
Name: xfig
Version: 3.2.5b
Release: 1
License: MIT
Group: Applications/Multimedia
URL: http://www.xfig.org/
Source0: http://downloads.sourceforge.net/mcj/%{name}.%{version}.full.tar.gz
Source1: %{name}.desktop

Patch0: %{name}-%{version}-aix.patch
Patch13: %{name}-3.2.5-urwfonts.patch
Patch20: %{name}-%{version}-fix-eps-reading.patch
Patch21: %{name}-%{version}-fix-fig-buffer-overflow.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libjpeg-devel >= 6b
BuildRequires: libpng-devel >= 1.2.44
BuildRequires: libXpm-devel >= 3.5.7-4
BuildRequires: Xaw3d-devel >= 1.5-5

Requires: libjpeg >= 6b
Requires: libpng >= 1.2.44
Requires: libXpm >= 3.5.7-4
Requires: Xaw3d >= 1.5-5
Requires: urw-fonts
Requires: transfig >= 3.2.5


%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.


%prep
%setup -q -n %{name}.%{version}
export PATH=/opt/freeware/bin:$PATH
%patch0
%patch13 -p1 -b .urw
%patch20 -p1
%patch21

find . -type f -exec chmod -x {} \;


%build
xmkmf
make XFIGDOCDIR=%{_docdir}/%{name}-%{version}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} XFIGDOCDIR=%{_docdir}/%{name}-%{version} install.all

mkdir -p ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
cp CHANGES README LATEX.AND.XFIG* FIGAPPS ${RPM_BUILD_ROOT}/%{_docdir}/%{name}-%{version}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

# make symbolic links
cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/*.1
%{app_defaults_dir}/*
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
/usr/bin/%{name}


%changelog
* Mon May 23 2011 Michael Perzl <michael@perzl.org> - 3.2.5b-1
- first version for AIX V5.1 and higher
